package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：qdm
 * @Package：com.muyu.domain
 * @Project：engine
 * @name：SourceData
 * @Date：2024/9/6 17:26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SourceData {
    private Integer id;
    private String name;
    private String sex;
    private BigDecimal price;
    private Integer age;
    private Date time;
}
