package com.muyu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.EngineLevelEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.mapper
 * @Project：cloud-etl-engine
 * @name：EnginLevelMapper
 * @Date：2024/8/25 18:54
 */
@Mapper
public interface EnginLevelMapper extends BaseMapper<EngineLevelEntity> {
    List<EngineLevelEntity> selectLevelList();

    Integer update(EngineLevelEntity engineLevelEntity);

    Integer delete(@Param("id") Integer id);

    Integer deleteBatch(@Param("ids") Integer[] ids);

    EngineLevelEntity selectById(@Param("id") Integer id);

    List<EngineLevelEntity> lists();
}
