package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.EngineMaintenance;
import com.muyu.domain.EngineVersion;
import com.muyu.domain.constants.PageResult;
import com.muyu.req.EngineMaintenanceQueryReq;
import com.muyu.req.EngineVersionListResp;

import java.util.List;

public interface EngIneService extends IService<EngineMaintenance> {
    List<EngineMaintenance> list();

    Result delete(Integer id);

    Result<EngineMaintenance> updateMsg(EngineMaintenance engineMaintenance);

    Result<EngineMaintenance> insert(EngineMaintenance engineMaintenance);

    EngineVersionListResp getRuleEngineInfo(Long id);

    void closeEngine(Integer id);

    void activateEngine(Integer id);

    Result<EngineMaintenance> add(EngineMaintenance engineMaintenance);

    Result<PageResult<EngineMaintenance>> getMaintenanceList(EngineMaintenanceQueryReq engineMaintenanceQueryReq);

    Integer deletes(Long id);

    EngineMaintenance selectById(Long id);

    Object measurementList(EngineVersion ruleEdition);
}
