package com.muyu.test;

import com.muyu.domain.constants.Result;
import lombok.extern.log4j.Log4j2;

import javax.tools.JavaCompiler;

import javax.tools.ToolProvider;

@Log4j2
public class JavaClass {
    public static Result<Object> compile(String fileName) {
        JavaCompiler compiler = ToolProvider.getSystemJavaCompiler();
        String[] strings = {"-classpath", "/home/lib", "-verbose", "-d", "/home/lib", "/home/" + fileName + ".java"};
        int result = compiler.run(null, null, null, strings);
        if (result == 0) {
            log.info("编译成功，生成的.class文件位于源代码同目录" + "-classpath " + "/home/" + fileName + ".class");
        } else {
            log.info("编译失败");
        }
        return Result.success();
    }
}
